Bug 3337 - RSS link is not correct
Summary: RSS link is not correct
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-18 06:30 UTC by Chris Cormack
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 3337 - RSS link is not correct for searches without results (1.24 KB, patch)
2012-04-14 22:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 3337 - RSS link is not correct for searches without results (1.37 KB, patch)
2012-04-14 23:06 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:09:18 UTC


---- Reported by palani@orizin.net 2009-06-18 06:30:32 ----

1. search for a item which is not in database ( say 'lalalililulu' ), so that the search generates zero results.

2. Lets say, the user want to subsribe to the rss link ( user want to get updates on his rss reader , about book 'lalalililulu' )

3. but the RSS link on search page (with zero results) is wrong, it don't have any http GET parameter 'q=lalalililulu'



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:09 UTC  ---

This bug was previously known as _bug_ 3337 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3337

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was palani@orizin.net.

Comment 1 Katrin Fischer 2011-07-07 21:04:13 UTC
Bug still exists in master. 
Created URL is: http://localhost/cgi-bin/koha/opac-search.pl?&format=rss2

For a keyword search with results it looks like:
http://localhost/cgi-bin/koha/opac-search.pl?idx=kw&q=see&count=50&sort_by=acqdate_dsc&format=rss2
Comment 2 Katrin Fischer 2012-04-07 17:02:16 UTC
This is still a problem in master. If search has no results, RSS link is wrong and missing search parameters.
Comment 3 Katrin Fischer 2012-04-14 22:11:17 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2012-04-14 23:06:19 UTC
Created attachment 9204 [details] [review]
[SIGNED-OFF] Bug 3337 - RSS link is not correct for searches without results

RSS links for searches without results didn't have the search terms.

To test:
- Search for something with results and check RSS link
- Search for something with no results and check RSS link

In both cases your search should show up in the link.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>

RSS Link works in both cases listed in test plan.
Comment 5 Marcel de Rooy 2012-04-16 08:04:29 UTC
QA Comment: Looks good to me. Did not test it. Only adds two template parameters. No translation issues.
Passed QA.
Comment 6 Jared Camins-Esakov 2012-05-24 01:02:03 UTC
This will be included into 3.6.5.